[
{
    blockid=ldap;
    help=service_ldap_ldap;
    custom="com.netscape.management.msgserv.RootInfoControl";
    localvar={
	/* translate this block */
	.cfgldap.border=[titled,"\uc11c\ubc84 \uad6c\uc131\uc744 \uc704\ud55c LDAP \uc5f0\uacb0"];
	.userldap.border=[titled,"\uc0ac\uc6a9\uc790 \uc870\ud68c\ub97c \uc704\ud55c LDAP \uc5f0\uacb0"];
	.uselocal.text="\uba54\uc2dc\uc9d5 \uc11c\ubc84\ubcc4 \ub514\ub809\ud1a0\ub9ac \uc124\uc815 \uc0ac\uc6a9";
	.host.text="\ud638\uc2a4\ud2b8 \uc774\ub984:";
	.port.text="\ud3ec\ud2b8 \uc774\ub984:";
	.binddn.text="\ubc14\uc778\ub4dc DN: ";
	.usessl.text="\uc5f0\uacb0 \uc2dc SSL \uc0ac\uc6a9";
	.basedn.text="\uae30\ubcf8 DN:";
	.editpasswd.text="\ubc14\uc778\ub4dc \uc554\ud638 \ubcc0\uacbd...";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=pane;
	    border=$.cfgldap.border;
	    constraint={
	        gridy=0;
	        weightx=1;
	        fill=h;
	        anchor=northwest;
	        insets=$g.insets.sephcomp;
	    }
	    layout=[gridbag];
	    content=[
		{
		    ctrl=label;
		    text=$.host.text;
		    wrap=$g.label.size0;
		    constraint={
		        gridx=0;
		        gridy=0;
		        weightx=1;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$local.ldaphost.value;
		    wrap=$g.label.size3;
		    constraint={
		        gridx=1;
		        gridy=-1;
		        weightx=9;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$.port.text;
		    wrap=$g.label.size0;
		    constraint={
		        gridx=0;
		        gridy=-1;
		        weightx=1;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$local.ldapport.value;
		    wrap=$g.label.size3;
		    constraint={
		        gridx=1;
		        gridy=-1;
		        weightx=9;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$.binddn.text;
		    wrap=$g.label.size0;
		    constraint={
		        gridx=0;
		        gridy=-1;
		        weightx=1;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$local.ldapsiedn.value;
		    wrap=$g.label.size3;
		    constraint={
		        gridx=1;
		        gridy=-1;
		        weightx=9;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$.basedn.text;
		    wrap=$g.label.size0;
		    constraint={
		        gridx=0;
		        gridy=-1;
		        weightx=1;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$local.ldapbasedn.value;
		    wrap=$g.label.size3;
		    constraint={
		        gridx=1;
		        gridy=-1;
		        weightx=9;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		}
	    ]
	},
	{
	    ctrl=pane;
	    border=$.userldap.border;
	    constraint={
	        gridy=1;
	        weightx=1;
	        weighty=1;
	        fill=h;
	        anchor=northwest;
	        insets=$g.insets.sephcomp;
	    }
	    content=[
		{
		    ctrl=togglepane;
		    text=$.uselocal.text;
		    val=$local.ugldapuselocal.value;
		    showborder=false;
		    layout=[gridbag];
		    content=[
			{
			    ctrl=label;
			    id=hostlabel;
			    text=$.host.text;
			    target=hostctrl;
			    wrap=$g.label.size0;
			    constraint={
			        gridx=0;
			        gridy=0;
			        weightx=1;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=text;
			    label=hostlabel;
			    id=hostctrl;
			    val=$local.ugldaphost.value;
			    maxwidth=-1;
			    constraint={
			        gridx=1;
			        gridy=0;
			        weightx=9;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=label;
			    id=portlabel;
			    text=$.port.text;
			    target=portctrl;
			    wrap=$g.label.size0;
			    constraint={
			        gridx=0;
			        gridy=-1;
			        weightx=1;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=number;
			    id=portctrl;
			    val=$local.ugldapport.value;
			    label=portlabel;
			    constraint={
			        gridx=1;
			        gridy=-1;
			        weightx=9;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=label;
			    id=dnlabel;
			    text=$.basedn.text;
			    wrap=$g.label.size0;
			    constraint={
			        gridx=0;
			        gridy=-1;
			        weightx=1;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=text;
			    label=dnlabel;
			    val=$local.ugldapbasedn.value;
			    maxwidth=-1;
			    constraint={
			        gridx=1;
			        gridy=-1;
			        weightx=9;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=label;
			    id=binddnlabel;
			    text=$.binddn.text;
			    wrap=$g.label.size0;
			    constraint={
			        gridx=0;
			        gridy=-1;
			        weightx=1;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=text;
			    label=binddnlabel;
			    val=$local.ugldapbinddn.value;
			    maxwidth=-1;
			    constraint={
			        gridx=1;
			        gridy=-1;
			        weightx=9;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=separator;
			    constraint={
			        gridx=0;
			        gridy=-1;
			        gridwidth=2;
			        weightx=1;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=button;
			    text=$.editpasswd.text;
			    cmd=".editpasswd";
			    constraint={
			        gridx=1;
			        gridy=-1;
			        weighty=1;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=proxy;
			    id=passwdproxy;
			    val=$local.ugldapbindcred.value;
			}
		    ]
		}
	    ]
	}
    ]
},
{
    blockid=editpasswd;
    help=service_ldap_editpasswd;
    localvar={
	.siecred.text="\uc554\ud638:";
	.passwdagain.text="\uc554\ud638 \ud655\uc778:";
	.info.text="\uba54\uc2dc\uc9d5 \uad6c\uc131\uc5d0\uc11c \uc554\ud638\ub9cc \ubcc0\uacbd\ud569\ub2c8\ub2e4. \ub514\ub809\ud1a0\ub9ac\uc5d0\uc11c\ub3c4 \uc554\ud638\ub97c \ubcc0\uacbd\ud574\uc57c \ud569\ub2c8\ub2e4.";
    };
    content=[
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    id=siecredlabel;
		    text=$.siecred.text;
		    wrap=$g.label.size1;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=password;
		    val=$.newpasswd;
		    label=siecredlabel;
		    aligny=0.5;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    id=againlabel;
		    text=$.passwdagain.text;
		    wrap=$g.label.size1;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=password;
		    label=againlabel;
		    val=$.confirmpasswd;
		    aligny=0.5;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[	    	
		{
		    ctrl=label;
		    id=infolabel;
		    text=$.info.text;
		    wrap=$g.label.size3;
		    aligny=0.5;
		}
	    ]
	}
    ]
}
]
